
(* d_gtoda1.m *)

(* A new integrable system related to the relativistic Toda lattice *)
(* Ref: Suris, J. Phys. A. 30 (1997) 1745 *)

u[1][n_]'[t]:= (u[1][n+1][t] - u[2][n][t])*u[2][n][t] -
               (u[1][n-1][t] - u[2][n-1][t])*u[2][n-1][t];
u[2][n_]'[t]:= u[2][n][t]*(u[1][n+1][t] - u[1][n][t]);

noeqs = 2;
name = "Generalized Toda Lattice-1";
parameters = {};
weightpars = {};

formrho = 0;

(* d_gtoda1.m *)
